### Function

# FwupdPlugin version_guess_format

since: 1.8.2

#### Declaration [src]

    FwupdVersionFormat
    fu_version_guess_format (
      const gchar* version
    )

#### Description [src]

Guesses the version format from the version number. This is only a heuristic and plugins and components should explicitly set the version format whenever possible.

If the version format cannot be guessed with any degree of accuracy, the `FWUPD_VERSION_FORMAT_UNKNOWN` constant is returned.

Available since: 1.8.2

#### Parameters

`version`

  Type: `const gchar*`

  A version number, e.g. `1.2.3`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdVersionFormat`

A version format, e.g. `FWUPD_VERSION_FORMAT_QUAD`.